blocktools.h File Reference
`#include <escript/EsysMPI.h>`
`#include <vector>`

Go to the source code of this file.

## Classes

struct | message
class | BlockGrid
class | Block
class | BlockGrid2
class | Block2

## Typedefs

typedef int | neighbourID_t
typedef unsigned | coord_t
typedef std::pair< neighbourID_t, int > | neighpair
typedef std::vector< neighpair > | neighbourvector
typedef std::vector< message > | messvec

## Functions

int | getTag (unsigned char sourcex, unsigned char sourcey, unsigned char sourcez, unsigned char targetx, unsigned char targety, unsigned char targetz)
int | getTag (unsigned char destx, unsigned char desty, unsigned char destz, bool deltax, bool deltay, bool deltaz)
unsigned char | getSrcBuffID (unsigned char destx, unsigned char desty, unsigned char destz, bool deltax, bool deltay, bool deltaz)
int | getTag2 (unsigned char sourcex, unsigned char sourcey, unsigned char targetx, unsigned char targety)
int | getTag2 (unsigned char destx, unsigned char desty, bool deltax, bool deltay)
unsigned char | getSrcBuffID2 (unsigned char destx, unsigned char desty, bool deltax, bool deltay)

## Typedef Documentation

## coord_t

typedef unsigned coord_t

## messvec

typedef std::vector<message> messvec

## neighbourID_t

typedef int neighbourID_t

## neighbourvector

typedef std::vector<neighpair> neighbourvector

## neighpair

typedef std::pair<neighbourID_t, int> neighpair

## Function Documentation

## getSrcBuffID()

unsigned char getSrcBuffID | ( | unsigned char | destx,
|  | unsigned char | desty,
|  | unsigned char | destz,
|  | bool | deltax,
|  | bool | deltay,
|  | bool | deltaz
| ) |  |

Referenced by BlockGrid::generateInNeighbours().

## getSrcBuffID2()

unsigned char getSrcBuffID2 | ( | unsigned char | destx,
|  | unsigned char | desty,
|  | bool | deltax,
|  | bool | deltay
| ) |  |

Referenced by BlockGrid2::generateInNeighbours().

## getTag() [1/2]

int getTag | ( | unsigned char | sourcex,
|  | unsigned char | sourcey,
|  | unsigned char | sourcez,
|  | unsigned char | targetx,
|  | unsigned char | targety,
|  | unsigned char | targetz
| ) |  |

Referenced by BlockGrid::generateInNeighbours(), escript::NullDomain::operator!=(), and escript::AbstractDomain::~AbstractDomain().

## getTag() [2/2]

int getTag | ( | unsigned char | destx,
|  | unsigned char | desty,
|  | unsigned char | destz,
|  | bool | deltax,
|  | bool | deltay,
|  | bool | deltaz
| ) |  |

## getTag2() [1/2]

int getTag2 | ( | unsigned char | sourcex,
|  | unsigned char | sourcey,
|  | unsigned char | targetx,
|  | unsigned char | targety
| ) |  |

Referenced by BlockGrid2::generateInNeighbours().

## getTag2() [2/2]

int getTag2 | ( | unsigned char | destx,
|  | unsigned char | desty,
|  | bool | deltax,
|  | bool | deltay
| ) |  |